SHELL=/bin/sh

# Files are edited in the installation directory, then copied.
# There are 40 arguments to idedit after the filename,
# showing the positions of each byte in the following ten ints:
# uida, uidd, uidl, uido, uidp, uidq, uidr, uids, gidq, gidn.
# Normal little-endian positions are n n+1 n+2 ... n+39 for some n.
# Normal big-endian positions are n+3 n+2 n+1 n n+7 ... n+36 for some n.

setup:
	mkdir QMAILHOME	
	./idedit install XXX
	./idedit instcheck XXX
	./idedit qmail-lspawn XXX
	./idedit qmail-queue XXX
	./idedit qmail-rspawn XXX
	./idedit qmail-showctl XXX
	./idedit qmail-start XXX
	./install
	./instcheck
	cp QMAILHOME/boot/home QMAILHOME/rc
	chmod 755 QMAILHOME/rc
	HOSTNAME | grep -q '\.'
	./config-fast `HOSTNAME`



