#!/bin/sh

echo ""
echo "Adding qmail groups:"
function group_add() {
    echo "   Adding  group $1 ..."
    groupadd  $1		
}
group_add nofiles  
group_add qmail     

## update nis database
if /sbin/pidof ypserv >/dev/null 2>/dev/null; then
    (cd /var/yp; make)
fi

echo ""
echo "Adding qmail users:"

function user_add() {
    echo "   Adding user $1 ..."
    useradd  -g $2 -s /bin/true -d $3 -r $1
}
user_add alias nofiles /var/qmail/alias
user_add qmaild nofiles /var/qmail
user_add qmaill nofiles /var/qmail
user_add qmailp nofiles /var/qmail
user_add qmailq qmail /var/qmail
user_add qmailr qmail /var/qmail
user_add qmails qmail /var/qmail

## update nis database
if /sbin/pidof ypserv >/dev/null 2>/dev/null; then
    (cd /var/yp; make)
fi
